<?php

namespace common\logic\Document\Invoice\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Document\Invoice\Service\InvoiceDefinition;

class InvoiceRepositoryQuery extends AbstractRepositoryQuery
{
    protected InvoiceDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(InvoiceDefinition::class);
    }
}